Initiate KYB terms of service
curl --request POST \
--url https://api.privy.io/v1/organizations/{organization_id}/kyb/tos \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--header 'privy-app-id: <privy-app-id>' \
--data '
{
"provider": "bridge",
"email": "jsmith@example.com",
"business_name": "<string>"
}
'HttpResponse<String> response = Unirest.post("https://api.privy.io/v1/organizations/{organization_id}/kyb/tos")
.header("privy-app-id", "<privy-app-id>")
.header("Authorization", "Basic <encoded-value>")
.header("Content-Type", "application/json")
.body("{\n \"provider\": \"bridge\",\n \"email\": \"jsmith@example.com\",\n \"business_name\": \"<string>\"\n}")
.asString();const options = {
method: 'POST',
headers: {
'privy-app-id': '<privy-app-id>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({provider: 'bridge', email: 'jsmith@example.com', business_name: '<string>'})
};
fetch('https://api.privy.io/v1/organizations/{organization_id}/kyb/tos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.privy.io/v1/organizations/{organization_id}/kyb/tos",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'provider' => 'bridge',
'email' => 'jsmith@example.com',
'business_name' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"Content-Type: application/json",
"privy-app-id: <privy-app-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.privy.io/v1/organizations/{organization_id}/kyb/tos"
payload := strings.NewReader("{\n \"provider\": \"bridge\",\n \"email\": \"jsmith@example.com\",\n \"business_name\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("privy-app-id", "<privy-app-id>")
req.Header.Add("Authorization", "Basic <encoded-value>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"provider": "bridge",
"environment": "production",
"status": "approved",
"link": "<string>"
}KYB
Initiate KYB terms of service
Generates a Bridge terms-of-service acceptance link for the organization.
POST
/
v1
/
organizations
/
{organization_id}
/
kyb
/
tos
Initiate KYB terms of service
Authorizations
Basic Auth header with your app ID as the username and your app secret as the password.
Headers
ID of your Privy app.
Path Parameters
The ID of the organization.
Body
application/json
Request body for initiating Terms of Service acceptance for an organization.
KYC/KYB provider identifier.
Available options:
bridge Email address for the organization.
Provider environment (production or sandbox).
Available options:
production, sandbox Legal name of the business.
Required string length:
1 - 256Response
200 - application/json
Terms of service link and current acceptance status.
Response containing a Terms of Service link.
KYC/KYB provider identifier.
Available options:
bridge Provider environment (production or sandbox).
Available options:
production, sandbox Status of Terms of Service acceptance. Passthrough from the provider.
Example:
"approved"
URL for the Terms of Service acceptance page.
Was this page helpful?

